import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk, Gdk # type: ignore
from typing import TYPE_CHECKING, Optional, cast

if TYPE_CHECKING:
    from gui import GtkGui, GuiElements, GuiHandlers

class ValueHandlerElement:
    def __init__(self, element: object | None):        
        self.handlerBox: Gtk.Box = cast(Gtk.Box ,element)
        button = Gtk.Button(label="Click me")
        button.connect("clicked", self.reset)
        self.handlerBox.add(button)

    def reset(self):
        print("reset working")

    def set_sensitive(self, sensitive: bool):
        self.handlerBox.set_sensitive(sensitive)    
